Loading...
Searching...
No Matches
XrdTcpMonInfo Class Reference
Collaboration diagram for XrdTcpMonInfo:

## Public Member Functions

| XrdTcpMonInfo (const char *drctv, const char *cfn, XrdSysError &errR)
| ~XrdTcpMonInfo ()

## Public Attributes

XrdOucPinKing< XrdTcpMonPin > | KingPin
XrdOucEnv | theEnv

## Detailed Description

Definition at line 230 of file XrdConfig.cc.

## Constructor & Destructor Documentation

## XrdTcpMonInfo()

XrdTcpMonInfo::XrdTcpMonInfo | ( | const char * | drctv,
|  | const char * | cfn,
|  | XrdSysError & | errR )

inline

Definition at line 236 of file XrdConfig.cc.

: KingPin(drctv, theEnv, errR, &myVer)
{theEnv.Put("configFN", cfn);}
XrdTcpMonInfo::KingPin
XrdOucPinKing< XrdTcpMonPin > KingPin
Definition XrdConfig.cc:234
XrdTcpMonInfo::theEnv
XrdOucEnv theEnv
Definition XrdConfig.cc:242

References KingPin, and theEnv.

## ~XrdTcpMonInfo()

XrdTcpMonInfo::~XrdTcpMonInfo | ( |  | ) |

inline

Definition at line 240 of file XrdConfig.cc.

{}

## Member Data Documentation

## KingPin

XrdOucPinKing<XrdTcpMonPin> XrdTcpMonInfo::KingPin

Definition at line 234 of file XrdConfig.cc.

Referenced by XrdTcpMonInfo().

## theEnv

XrdOucEnv XrdTcpMonInfo::theEnv

Definition at line 242 of file XrdConfig.cc.

Referenced by XrdTcpMonInfo().

The documentation for this class was generated from the following file:

- XrdConfig.cc